function Create(self)
   ---------------- AI variables start ----------------
   self.StableTimer = Timer()
   self.StuckTimer = Timer()
   self.DoorTimer = Timer()
   self.GibTimer = Timer()
   
   self.PlayerInterferedTimer = Timer()
   self.PlayerInterferedTimer:SetSimTimeLimitMS(500)
   
   self.DeliveryState = ACraft.FALL
   
   self.velIntegrator = 0
   ---------------- AI variables end ----------------
end

function UpdateAI(self)
   
   if self.PlayerInterferedTimer:IsPastSimTimeLimit() then
      self.StuckTimer:Reset()
   end
   
   self.PlayerInterferedTimer:Reset()

   -- Reset StableTimer if not in a stable state
   self.velIntegrator = self.velIntegrator * 0.8 + self.Vel.Magnitude * 0.2
   if self.velIntegrator > 3 then
      self.StableTimer:Reset()
   else
      if self.DeliveryState == ACraft.FALL then   --stable, so start unloading
         self.DeliveryState = ACraft.UNLOAD
      end
   end      
   
   -- Delivery Sequence logic
   if self.DeliveryState == ACraft.FALL then      
      --left over from RocketAI
   elseif self.DeliveryState == ACraft.UNLOAD then
      if self:IsInventoryEmpty() then   -- close doors if empty
         if self.DoorTimer:IsPastSimMS(750) then   -- pause before closing
            if self.HatchState == ACraft.OPEN then
               self:CloseHatch()
               self.DeliveryState = ACraft.LAUNCH -- empty and doors closed
               self.GibTimer:Reset()
            end
         end
      elseif self.StableTimer:IsPastSimMS(400) and self.HatchState == ACraft.CLOSED then
         self:OpenHatch()
         self.DoorTimer:Reset()
      end
   elseif self.DeliveryState == ACraft.LAUNCH then
      --crate is empty and doors closed, so gib it after a slight delay
      if self:IsInventoryEmpty() and self.GibTimer:IsPastSimMS(1000) and self.StableTimer:IsPastSimMS(400) then
         self:GibThis()      
      end
   end
   
   -- If we are hopelessly stuck, self destruct
   if self.Vel.Largest > 3 or self.AIMode == Actor.AIMODE_STAY then
      self.StuckTimer:Reset()
   elseif self.AIMode == Actor.AIMODE_SCUTTLE or self.StuckTimer:IsPastSimMS(5000) then   --40000 seems a bit much for a stuck timer on a crate, probably change this to 5 sec or so?
      self:GibThis()
   end
end
