-- GDI by Arcalane
-- http://forums.datarealms.com/viewtopic.php?f=61&t=45833

-- Unique Faction ID
local factionid = "GDI";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid
	
-- Faction name
CF_FactionNames[factionid] = "GDI";
-- Set true if faction is selectable by player or AI
CF_FactionPlayable[factionid] = true;
-- Faction icon preset. Set to nil if you don't have one. Faction will get random default icon.
CF_FactionIcon[factionid] = "FactionIconGDI";
-- Facion icon preset module
CF_FactionIconModules[factionid] = "UnmappedLands.rte";

-- Main module used to check if mod is installed and as backward compatibility layer with v1-faction files enabled missions
CF_InfantryModules[factionid] = "GDI.rte"

-- Define weapon sets
-- Different probabilities.
-- 1 - Probability to get a heavy weapon
-- 2 - Probability to get a secondary weapon
-- 3 - Probability to get an explosive
-- 4 - Probability to a second explosive
-- Example:
-- CF_Probabilities[factionid] = {0.35 , 0.30 , 0.60 , 0.30};
CF_LightWeaponSets[factionid] = {"Global Defense Semi-Automatic","Peacekeeper '45"}
CF_LightWeaponSetModules[factionid] = {"GDI.rte","GDI.rte"};

CF_HeavyWeaponSets[factionid] = {"Global Defense Standard Infantry Rifle"}
CF_HeavyWeaponSetModules[factionid] = {"GDI.rte"};

CF_Probabilities[factionid] = {1 , 1 , 0.75 , 0.25};

-- Define explosives
CF_ExplosiveSets[factionid] = {"GDI Disc Grenade", "GDI Timed C4"}
CF_ExplosiveSetModules[factionid] = {"GDI.rte", "GDI.rte"};

-- Define troops
CF_ActorSets[factionid] = {"GDI Infantry"};
CF_ActorSetModules[factionid] = {"GDI.rte"};

--Define brains
CF_BrainPresets[factionid] = "GDI Officer";
CF_BrainPresetModules[factionid] = "GDI.rte";

-- Define actors allowed for purchase. All other actors will be gibbed if gibbing option is enabled
CF_AllowedActors[factionid] = {"GDI Infantry" , "Zone Trooper" , "Black Hand Templar", "GDI V-20 Bison Transport"};

-- Define specific weapons
CF_RocketLaunchers[factionid] = {"Global Defense Light Anti-Armour Weapon"};
CF_RocketLauncherModules[factionid] = {"GDI.rte"};

CF_SniperRifles[factionid] = {"GLS70 Sniper Rifle"};
CF_SniperRifleModules[factionid] = {"GDI.rte"};

-- Define dropships
CF_Dropships[factionid] = {"GDI V-20 Bison Transport"};
CF_DropshipModules[factionid] = {"GDI.rte"};

-- Define droppods
CF_Droppods[factionid] = {"GDI Assault Pod"};
CF_DroppodModules[factionid] = {"GDI.rte"};

-- Define armored troops. If not defined actor with shield and one handed weapon spawned
CF_ArmorCrabs[factionid] = nil;
CF_ArmorCrabModules[factionid] = nil;

CF_ArmorHumans[factionid] = {"Zone Trooper"};
CF_ArmorHumanModules[factionid] = {"GDI.rte"};

-- Define armor substitutions
CF_ArmorPistols[factionid] = {"Global Defense Zone Enforcement Machinegun"};
CF_ArmorPistolModules[factionid] = {"GDI.rte"};

CF_ArmorShields[factionid] = nil;
CF_ArmorShieldModules[factionid] = nil;

-- Define elite weapon sets. All weapons from this set are given to elite soldier.
CF_EliteWeaponSets[factionid] = {"Global Defense Zone Enforcement Machinegun"};
CF_EliteWeaponSetModules[factionid] = {"GDI.rte"};

--Define turrets
--CF_Turrets[factionid] = {"BLH"};
--CF_TurretModules[factionid] = {"GDI.rte"};

-- Define last stand mission. Must be null if not present in Unmapped lands to switch to default
CF_LastStandMission[factionid] = nil;
CF_LastStandMissionScene[factionid] = nil;

-------------------------------------------------------------------------------
-- Define Rapid-Buy presets for this faction
-------------------------------------------------------------------------------
CF_RapidBuyPresets[factionid] = {};
local presetid

-- Default icons are
-- 1 - Machinegun
-- 2 - Shotgun
-- 3 - Grenade
-- 4 - Railgun
-- 5 - Rocket launcher
-- 6 - Plasma
-- 7 - Nuclear
-- 8 - Lightning

-- Machinegunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric1"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = "GDI V-20 Bison Transport"
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "GDI Infantry"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Global Defense Compact Infantry Rifle" , "Global Defense Semi-Automatic"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"GDI.rte" , "GDI.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 150 + 65;


-- Heavy machinegunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric7"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = "GDI V-20 Bison Transport"
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "GDI Recon"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Global Defense Standard Infantry Rifle" , "Global Defense Semi-Automatic"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"GDI.rte" , "GDI.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 365 + 65;

-- Meltagunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric8"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = "GDI V-20 Bison Transport"
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "GDI Infantry"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Vervack AG79 Grenade Launcher" , "Global Defense Semi-Automatic"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"GDI.rte" , "GDI.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 210 + 65;


-- Rocketeer
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric5"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = "GDI V-20 Bison Transport"
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "GDI Infantry"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Global Defense Light Anti-Armour Weapon" , "Global Defense Semi-Automatic"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"GDI.rte" , "GDI.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 110 + 65;

-- Shotgunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric2"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = "GDI V-20 Bison Transport"
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "GDI Infantry"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Global Defense Close Combat Weapon" , "Global Defense Semi-Automatic"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"GDI.rte" , "GDI.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 90 + 60 + 65;

-- Sniper
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric4"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = "GDI V-20 Bison Transport"
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "GDI Recon"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "GDI.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"GLS70 Sniper Rifle" , "Global Defense Semi-Automatic"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"GDI.rte" , "GDI.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 90 + 32 + 65;
