-- Makes an MO exhibit more bouncy bounce mechanics, combined with the fermat's spiral mine
--
-- Fermat's Spiral notes:
-- radius = spiralScale * squareroot( pountCount )
-- radius / squareroot( pountCount ) = spiralScale

function Create(self)

   -- bounce variables
   self.bounceVelThreshold = 5; -- minimum velocity the MO needs to be going to trigger the Lua'd bouncing
   self.rayDistance = 2; -- how far to the "side" of the MO the angle detector rays are
   self.bounce = 0.80; -- how much energy to maintain after bouncing. 1 is 100% energy, 0.9 is 90%, etc.

end

function Update(self)
   -- bouncy ray stuff
   local rayHitA = Vector();
   local rayHitB = Vector();
   local raylength = Vector(self.Vel.X,self.Vel.Y):SetMagnitude(Vector(self.Vel.X,self.Vel.Y).Magnitude+self.Radius*self.rayDistance+50)*TimerMan.DeltaTimeSecs*20;
   local startA = self.Pos+Vector(0,self.rayDistance):RadRotate(self.Vel.AbsRadAngle);
   local startB = self.Pos+Vector(0,-self.rayDistance):RadRotate(self.Vel.AbsRadAngle);
   local rayA = SceneMan:CastStrengthRay(startA,raylength,0,rayHitA,1,0,SceneMan.SceneWrapsX);
   local rayB = SceneMan:CastStrengthRay(startB,raylength,0,rayHitB,1,0,SceneMan.SceneWrapsX);
   if rayA and rayB then
      local distA = SceneMan:ShortestDistance(startA,rayHitA,SceneMan.SceneWrapsX).Magnitude;
      local distB = SceneMan:ShortestDistance(startB,rayHitB,SceneMan.SceneWrapsX).Magnitude;
      if distA < self.Radius*2 or distB < self.Radius*2 then
         if distA < distB then
            local newVel = SceneMan:ShortestDistance(rayHitA,rayHitB,SceneMan.SceneWrapsX);
            newVel:RadRotate(newVel.AbsRadAngle-self.Vel.AbsRadAngle);
            self.Vel = newVel:SetMagnitude(self.Vel.Magnitude*self.bounce);
         else
            local newVel = SceneMan:ShortestDistance(rayHitB,rayHitA,SceneMan.SceneWrapsX);
            newVel:RadRotate(newVel.AbsRadAngle-self.Vel.AbsRadAngle);
            self.Vel = newVel:SetMagnitude(self.Vel.Magnitude*self.bounce);
         end
      end
   end
end