function Create(self)

	self.spawnCounter = 0;

	self.sAmplitude = 10;
	self.sPeriod = 10;
	self.particleSpacing = 1;

	self.lastPos = Vector(self.Pos.X,self.Pos.Y);

end

function Update(self)
	local dist = SceneMan:ShortestDistance(self.lastPos,self.Pos,SceneMan.SceneWrapsX);

	-- rings
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel

	local effectAmount = dist.Magnitude/self.particleSpacing;
	for i = 1, effectAmount do
		local Effect = CreateMOSParticle("Railcarbine Trail", "GDI.rte")
		Effect.Pos = self.lastPos + Vector(i*self.particleSpacing,self.sAmplitude*math.sin(self.spawnCounter/self.sPeriod)):RadRotate(self.Vel.AbsRadAngle);
		MovableMan:AddParticle(Effect)
		self.spawnCounter = self.spawnCounter + self.particleSpacing;
	end

	-- beam trail
	local Effect2
	local Offset2 = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	
	local trailLength2 = math.floor(Offset.Magnitude+0.5)
	for i = 1, trailLength2, 1 do
		Effect2 = CreateMOSParticle("Railcarbine Core", "GDI.rte")
		if Effect2 then
			Effect2.Pos = self.Pos - Offset2 * (i/trailLength2) -- + Vector(RangeRand(-1, 1), RangeRand(-1, 1))
			--Effect2.Vel = self.Vel * RangeRand(0.1, 0.1)
			MovableMan:AddParticle(Effect2)
		end
	end
	
	--projectile blob
	local Effect3
	local Offset3 = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	
	local trailLength3 = math.floor(Offset.Magnitude)
	for i = 1, trailLength3, 1 do
		Effect3 = CreateMOSParticle("Railcarbine Core 2", "GDI.rte")
		if Effect3 then
			Effect3.Pos = self.Pos - Offset3 * (i/trailLength3) -- + Vector(RangeRand(-1, 1), RangeRand(-1, 1))
			--Effect2.Vel = self.Vel * RangeRand(0.1, 0.1)
			MovableMan:AddParticle(Effect3)
		end
	end

	self.lastPos = Vector(self.Pos.X,self.Pos.Y);
end