function Create(self)

	self.lifeTimer = Timer();
	self.lifeLength = 10000;

	self.delayTimer = Timer();
	self.startDelay = 250; -- Time before the missile thrust starts
	self.turnSharpness = 20;
	self.detProximity = 75;

	self.started = false;

end

function Update(self)

	if self.lifeTimer:IsPastSimMS(self.lifeLength) then
		self:GibThis();
	end

	if self.started then
		if self.target ~= nil and MovableMan:IsActor(self.target) then
			local dist = SceneMan:ShortestDistance(self.Pos,self.target.Pos,SceneMan.SceneWrapsX);
			self.RotAngle = (Vector(1,0):RadRotate(self.RotAngle) + Vector(self.turnSharpness*(self.delayTimer.ElapsedSimTimeMS/1000),0):RadRotate(dist.AbsRadAngle)).AbsRadAngle;

			if self.lastDist < dist.Magnitude and self.lastDist < self.detProximity then
				self:GibThis();
			end

			self.lastDist = dist.Magnitude;
			self.delayTimer:Reset();
		else
			for actor in MovableMan.Actors do
				if actor.Team ~= self.Team then
					local dist = SceneMan:ShortestDistance(self.Pos,actor.Pos,SceneMan.SceneWrapsX);
					if dist.Magnitude < self.detProximity and SceneMan:CastStrengthRay(self.Pos,dist:SetMagnitude(math.max(0,dist.Magnitude-actor.Radius)),0,Vector(0,0),5,0,SceneMan.SceneWrapsX) == false then
						self:GibThis();
					end
				end
			end
		end
	else
		if self.delayTimer:IsPastSimMS(self.startDelay) then
			self.delayTimer:Reset();
			self:EnableEmission(true);
			self.started = true;

			for actor in MovableMan.Actors do
				if actor.UniqueID == self.Sharpness then
					self.target = actor;
					self.lastDist = SceneMan:ShortestDistance(self.Pos,self.target.Pos,SceneMan.SceneWrapsX).Magnitude;
					break;
				end
			end
		end
	end

end