-- Laser Cannon
-- Hold Fire to charge, fires automatically when charge is full

function Create(self)

   self.chargeTimer = Timer();
   self.chargeTime = 1500; -- time it takes to charge

   self.beamlength = 2000; -- length of the beam itself
   self.detectionskip = 5; -- spacing between pixel checks in the detection ray
   self.chargePlayed = 0;

   self.effectskip = 5; -- spacing between beam particle effects

   self.chargeparticlesmin = 1; -- minimum amount of charge particles
   self.chargeparticlesmax = 5; -- maximum amount of charge particles
   self.chargeparticledist = 25; -- distance that particles are spawned away from gun muzzle
   self.chargeparticlevel = -3; -- speed of particles

end

function Update(self)

   if self:IsActivated() and self.Magazine ~= nil and self.Magazine.RoundCount > 0 then

	if self.chargePlayed == 0 then
		local csoundfx = CreateAEmitter("Ion Charge Sound"); --------------------------------------- explosion
		csoundfx.Pos = self.MuzzlePos;
		MovableMan:AddParticle(csoundfx);
		self.chargePlayed = 1;
	end
	
	if self.chargeTimer:IsPastSimMS(self.chargeTime) then
		self.chargeTimer:Reset();
		self.Magazine.RoundCount = self.Magazine.RoundCount - 1; ------------ add this here
		local negativenum = 1;
		if self.HFlipped then
			negativenum = -1;
			end

			local hitpos = Vector(self.MuzzlePos.X,self.MuzzlePos.Y) + Vector(self.beamlength*negativenum,0):RadRotate(self.RotAngle);
			local obray = SceneMan:CastObstacleRay(self.MuzzlePos, Vector(self.beamlength*negativenum,0):RadRotate(self.RotAngle), Vector(0,0), hitpos, 255, self.Team, 0, self.detectionskip);

		local explosion = CreateAEmitter("Ion Hit Emitter"); --------------------------------------- explosion
		explosion.Pos = hitpos;
		MovableMan:AddParticle(explosion);

		local soundfx = CreateAEmitter("Ion Fire Sound"); --------------------------------------- fire sound effect
		soundfx.Pos = self.MuzzlePos;
		MovableMan:AddParticle(soundfx);

		if SceneMan.SceneWrapsX then
			local effectamount = SceneMan:ShortestDistance(self.MuzzlePos,hitpos,SceneMan.SceneWrapsX).Magnitude/self.effectskip;
			local movedir = Vector(self.effectskip*negativenum,0):RadRotate(self.RotAngle);
			local checkpos = Vector(self.MuzzlePos.X,self.MuzzlePos.Y);
			for i = 1, effectamount do
			if checkpos.X > SceneMan.SceneWidth then
				 checkpos = Vector(checkpos.X - SceneMan.SceneWidth,checkpos.Y);
			elseif checkpos.X < 0 then
				 checkpos = Vector(SceneMan.SceneWidth + checkpos.X,checkpos.Y);
			end
			local beameffect = CreateAEmitter("Ion Beam Emitter"); --------------------------------------- beam effect
			beameffect.Pos = checkpos;
			MovableMan:AddParticle(beameffect);
			checkpos = checkpos + movedir;
			end
		else
			local effectamount = SceneMan:ShortestDistance(self.MuzzlePos,hitpos,SceneMan.SceneWrapsX).Magnitude/self.effectskip;
			local movedir = Vector(self.effectskip*negativenum,0):RadRotate(self.RotAngle);
			local checkpos = Vector(self.MuzzlePos.X,self.MuzzlePos.Y);
			for i = 1, effectamount do
			local beameffect = CreateAEmitter("Ion Beam Emitter"); --------------------------------------- beam effect
			beameffect.Pos = checkpos;
			MovableMan:AddParticle(beameffect);
			checkpos = checkpos + movedir;
			end   
		end
	 else

		local numofchargefx = self.chargeTimer.ElapsedSimTimeMS / self.chargeTime * (self.chargeparticlesmax - self.chargeparticlesmin) + self.chargeparticlesmin;
		for i = 1, numofchargefx do
			local chargefx = CreateMOPixel("Ion Charge Spark"); --------------------------------------- charge effect
			chargefx.Pos = self.MuzzlePos + Vector(self.chargeparticledist,0):RadRotate(math.random()*(math.pi*2));
			chargefx.Vel = SceneMan:ShortestDistance(chargefx.Pos,self.MuzzlePos,SceneMan.SceneWrapsX):SetMagnitude(self.chargeparticlevel);
			chargefx.Team = self.Team;
			MovableMan:AddParticle(chargefx);
		end

		end
	else
		self.chargeTimer:Reset();
		self.chargePlayed = 0;
	end

	if self.Magazine ~= nil then
		self.lastMag = self.Magazine;
		self.lastAmmo = self.Magazine.RoundCount;
		self.dingSound = false;
		if self.Magazine.RoundCount <= 0 then
			self:Reload();
		end
	else
		if self.dingSound == false then
			if MovableMan:IsParticle(self.lastMag) then
				if self.HFlipped == false then
					self.negativeNum = 1;
				else
					self.negativeNum = -1;
				end
				self.lastMag.Sharpness = 1;
				self.lastMag.Vel = self.lastMag.Vel + Vector(-12*self.negativeNum,0):RadRotate(self.RotAngle);
			end
		end
		self.dingSound = true;
	end

end