function WrapScenePoint(p)
	if p.X > SceneMan.SceneWidth then
		p = Vector(p.X - SceneMan.SceneWidth,p.Y);
	elseif p.X < 0 then
		p = Vector(SceneMan.SceneWidth + p.X,p.Y);
	end
	return p;
end

function Create(self)

	self.detectlength = 375; -- length of detection
	self.detectradius = 240; -- radius (half the total height) of detection at the end
	self.pixspacing = 10; -- note: don't do 0 spacing, it does bad things. also, this is only horizontal spacing at the moment
	self.growtime = 0; -- how much time it takes to reach full length and width
	self.effectdamage = 375; -- per shot
	self.massfactor = 0.1; -- how much mass lessens damage
	-- damage calculation: health_damage = effectdamage / math.max (target_mass * massfactor , 1)

	self.baseammocount = 30; -- set this to the weapon's base RoundCount to avoid the rare chance of a weird problem

	self.detectlength = self.detectlength / self.pixspacing;
	self.detectradius = self.detectradius / self.pixspacing;
	self.runriseratio = self.detectlength/self.detectradius;

	self.growTimer = Timer();
	self.bdetectlength = self.detectlength;
	self.bdetectradius = self.detectradius;

	if self.Magazine ~= nil then
		self.baseammocount = self.Magazine.RoundCount;
	end
	self.ammocount = self.baseammocount;

	self.damagelist = {};

end

function Update(self)
 
        if self:IsActivated() then
                local growamount = math.min(self.growTimer.ElapsedSimTimeMS/self.growtime,1);
                self.detectlength = self.bdetectlength * growamount;
                self.detectradius = self.bdetectradius * growamount;
        else
                self.detectlength = 0;
                self.detectradius = 0;
                self.growTimer:Reset();
        end
 
        if self.Magazine ~= nil then
                if self.Magazine.RoundCount ~= self.ammocount then
 
                        local negativenum = 1;
                        if self.HFlipped then
                                negativenum = -1;
                        end
 
                        local continuefuture = true;
                        local continuefutureS = true;
 
                        local movelong = Vector(self.pixspacing*negativenum,0):RadRotate(self.RotAngle);
                        local moveanglea = Vector(self.runriseratio*self.pixspacing*negativenum,self.pixspacing):RadRotate(self.RotAngle);
                        local moveangleb = Vector(self.runriseratio*self.pixspacing*negativenum,-self.pixspacing):RadRotate(self.RotAngle);
 
                        local checkpos = Vector(self.MuzzlePos.X,self.MuzzlePos.Y);
 
                        if SceneMan.SceneWrapsX then
 
                                for i = 1, self.detectradius do
 
 
 
                                        if continuefuture and SceneMan:GetTerrMatter(checkpos.X,checkpos.Y) == 0 then
 
                                                -- DETECTING STUFF HERE
                                                local moCheck = SceneMan:GetMOIDPixel(checkpos.X,checkpos.Y);
                                                if moCheck ~= 255 then
                                                        local mo = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
                                                        self.damagelist[#self.damagelist+1] = mo;
                                                end
                                                --FrameMan:DrawLinePrimitive(checkpos + Vector(-1,0), checkpos + Vector(0,0), 120); -- DEBUG VIEW
                                                --FrameMan:DrawLinePrimitive(checkpos + Vector(-1,1), checkpos + Vector(0,1), 120); -- DEBUG VIEW
 
                                                local checkpos2 = Vector(checkpos.X,checkpos.Y);
                                                for j = 1, self.detectlength - i*self.runriseratio do
                                                        checkpos2 = checkpos2 + movelong;
 
                                                        checkpos2 = WrapScenePoint(checkpos2);
 
                                                        if SceneMan:GetTerrMatter(checkpos2.X,checkpos2.Y) == 0 then
 
                                                                -- DETECTING STUFF HERE
                                                                local moCheck = SceneMan:GetMOIDPixel(checkpos2.X,checkpos2.Y);
                                                                if moCheck ~= 255 then
                                                                        local mo = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
                                                                        self.damagelist[#self.damagelist+1] = mo;
                                                                end
                                                                --FrameMan:DrawLinePrimitive(checkpos2 + Vector(-1,0), checkpos2 + Vector(0,0), 120); -- DEBUG VIEW
                                                                --FrameMan:DrawLinePrimitive(checkpos2 + Vector(-1,1), checkpos2 + Vector(0,1), 120); -- DEBUG VIEW
                                                        else
                                                                if j <= self.runriseratio then
                                                                        continuefuture = false;
                                                                        if i == 1 then
                                                                                continuefutureS = false;
                                                                        end
                                                                end
                                                                break;
                                                        end
                                                end
                                        else
                                                break;
                                        end
 
                                        checkpos = checkpos + moveanglea;
                                        checkpos = WrapScenePoint(checkpos);
                                end
 
                                local checkpos = Vector(self.MuzzlePos.X,self.MuzzlePos.Y) + moveangleb;
                                local continuefuture = true;
                                if checkpos.X > SceneMan.SceneWidth then
                                        checkpos = Vector(checkpos.X - SceneMan.SceneWidth,checkpos.Y);
                                elseif checkpos.X < 0 then
                                        checkpos = Vector(SceneMan.SceneWidth + checkpos.X,checkpos.Y);
                                end
 
                                for i = 2, self.detectradius do
 
                                        if continuefuture and continuefutureS and SceneMan:GetTerrMatter(checkpos.X,checkpos.Y) == 0 then
 
                                                -- DETECTING STUFF HERE
                                                local moCheck = SceneMan:GetMOIDPixel(checkpos.X,checkpos.Y);
                                                if moCheck ~= 255 then
                                                        local mo = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
                                                        self.damagelist[#self.damagelist+1] = mo;
                                                end
                                                --FrameMan:DrawLinePrimitive(checkpos + Vector(-1,0), checkpos + Vector(0,0), 120); -- DEBUG VIEW
                                                --FrameMan:DrawLinePrimitive(checkpos + Vector(-1,1), checkpos + Vector(0,1), 120); -- DEBUG VIEW
 
                                                local checkpos2 = Vector(checkpos.X,checkpos.Y);
                                                for j = 1, self.detectlength - i*self.runriseratio do
                                                        checkpos2 = checkpos2 + movelong;
 
                                                        checkpos2 = WrapScenePoint(checkpos2);
 
                                                        if SceneMan:GetTerrMatter(checkpos2.X,checkpos2.Y) == 0 then
 
                                                                -- DETECTING STUFF HERE
                                                                local moCheck = SceneMan:GetMOIDPixel(checkpos2.X,checkpos2.Y);
                                                                if moCheck ~= 255 then
                                                                        local mo = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
                                                                        self.damagelist[#self.damagelist+1] = mo;
                                                                end
                                                                --FrameMan:DrawLinePrimitive(checkpos2 + Vector(-1,0), checkpos2 + Vector(0,0), 120); -- DEBUG VIEW
                                                                --FrameMan:DrawLinePrimitive(checkpos2 + Vector(-1,1), checkpos2 + Vector(0,1), 120); -- DEBUG VIEW
                                                        else
                                                                if j <= self.runriseratio then
                                                                        continuefuture = false;
                                                                end
                                                                break;
                                                        end
                                                end
                                        else
                                                break;
                                        end
 
                                        checkpos = checkpos + moveangleb;
                                        checkpos = WrapScenePoint(checkpos);
                                end
 
                        else
 
                                for i = 1, self.detectradius do
 
                                        if continuefuture and SceneMan:GetTerrMatter(checkpos.X,checkpos.Y) == 0 then
 
                                                -- DETECTING STUFF HERE
                                                local moCheck = SceneMan:GetMOIDPixel(checkpos.X,checkpos.Y);
                                                if moCheck ~= 255 then
                                                        local mo = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
                                                        self.damagelist[#self.damagelist+1] = mo;
                                                end
                                                --FrameMan:DrawLinePrimitive(checkpos + Vector(-1,0), checkpos + Vector(0,0), 120); -- DEBUG VIEW
                                                --FrameMan:DrawLinePrimitive(checkpos + Vector(-1,1), checkpos + Vector(0,1), 120); -- DEBUG VIEW
 
                                                local checkpos2 = Vector(checkpos.X,checkpos.Y);
                                                for j = 1, self.detectlength - i*self.runriseratio do
                                                        checkpos2 = checkpos2 + movelong;
 
                                                        if SceneMan:GetTerrMatter(checkpos2.X,checkpos2.Y) == 0 then
 
                                                                -- DETECTING STUFF HERE
                                                                local moCheck = SceneMan:GetMOIDPixel(checkpos2.X,checkpos2.Y);
                                                                if moCheck ~= 255 then
                                                                        local mo = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
                                                                        self.damagelist[#self.damagelist+1] = mo;
                                                                end
                                                                --FrameMan:DrawLinePrimitive(checkpos2 + Vector(-1,0), checkpos2 + Vector(0,0), 120); -- DEBUG VIEW
                                                                --FrameMan:DrawLinePrimitive(checkpos2 + Vector(-1,1), checkpos2 + Vector(0,1), 120); -- DEBUG VIEW
                                                        else
                                                                if j <= self.runriseratio then
                                                                        continuefuture = false;
                                                                        if i == 1 then
                                                                                continuefutureS = false;
                                                                        end
                                                                end
                                                                break;
                                                        end
                                                end
                                        else
                                                break;
                                        end
 
                                        checkpos = checkpos + moveanglea;
                                end
 
                                local checkpos = Vector(self.MuzzlePos.X,self.MuzzlePos.Y) + moveangleb;
                                local continuefuture = true;
 
                                for i = 2, self.detectradius do
 
                                        if continuefuture and continuefutureS and SceneMan:GetTerrMatter(checkpos.X,checkpos.Y) == 0 then
 
                                                -- DETECTING STUFF HERE
                                                local moCheck = SceneMan:GetMOIDPixel(checkpos.X,checkpos.Y);
                                                if moCheck ~= 255 then
                                                        local mo = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
                                                        self.damagelist[#self.damagelist+1] = mo;
                                                end
                                                --FrameMan:DrawLinePrimitive(checkpos + Vector(-1,0), checkpos + Vector(0,0), 120); -- DEBUG VIEW
                                                --FrameMan:DrawLinePrimitive(checkpos + Vector(-1,1), checkpos + Vector(0,1), 120); -- DEBUG VIEW
 
                                                local checkpos2 = Vector(checkpos.X,checkpos.Y);
                                                for j = 1, self.detectlength - i*self.runriseratio do
                                                        checkpos2 = checkpos2 + movelong;
 
                                                        if SceneMan:GetTerrMatter(checkpos2.X,checkpos2.Y) == 0 then
 
                                                                -- DETECTING STUFF HERE
                                                                local moCheck = SceneMan:GetMOIDPixel(checkpos2.X,checkpos2.Y);
                                                                if moCheck ~= 255 then
                                                                        local mo = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
                                                                        self.damagelist[#self.damagelist+1] = mo;
                                                                end
                                                                --FrameMan:DrawLinePrimitive(checkpos2 + Vector(-1,0), checkpos2 + Vector(0,0), 120); -- DEBUG VIEW
                                                                --FrameMan:DrawLinePrimitive(checkpos2 + Vector(-1,1), checkpos2 + Vector(0,1), 120); -- DEBUG VIEW
                                                        else
                                                                if j <= self.runriseratio then
                                                                        continuefuture = false;
                                                                end
                                                                break;
                                                        end
                                                end
                                        else
                                                break;
                                        end
 
                                        checkpos = checkpos + moveangleb;
                                end
 
                        end
 
 
                        local damageamount = self.ammocount - self.Magazine.RoundCount;
                        local dupetable = {};
                        for i = 1, #self.damagelist do
                                local notdupe = true;
                                for j = 1, #dupetable do
                                        if dupetable[j].ID == self.damagelist[i].ID then
                                                notdupe = false;
                                                break;
                                        end
                                end
                                if notdupe then
                                        if MovableMan:IsActor(self.damagelist[i]) and self.damagelist[i].ID ~= self.RootID then
                                                local inflictdamage = (self.effectdamage/(self.damagelist[i].Mass * self.massfactor));
                                                if self.massfactor <= 0 then
                                                        inflictdamage = self.effectdamage;
                                                end
                                                if inflictdamage < 1 then
                                                        for j = 1, damageamount do
                                                                if math.random() <= inflictdamage then
                                                                        local actor = ToActor(self.damagelist[i]);
                                                                        actor.Health = actor.Health - 1;
                                                                        if actor.Health <= 0 then
                                                                                for k = 1, MovableMan:GetMOIDCount()-1 do
                                                                                        local mo = MovableMan:GetMOFromID(k);
                                                                                        if mo.ClassName ~= "HDFirearm" and mo.ClassName ~= "TDExplosive" and mo.ClassName ~= "HeldDevice" and mo.RootID == actor.RootID and mo.ID ~= actor.ID then
                                                                                                ToMOSRotating(mo):GibThis();
                                                                                        end
                                                                                end
                                                                                actor:GibThis();
                                                                        end
                                                                end
                                                        end
                                                else
                                                        local actor = ToActor(self.damagelist[i]);
                                                        actor.Health = actor.Health - inflictdamage * damageamount;
                                                        if actor.Health <= 0 then
                                                                for k = 1, MovableMan:GetMOIDCount()-1 do
                                                                        local mo = MovableMan:GetMOFromID(k);
                                                                        if mo.ClassName ~= "HDFirearm" and mo.ClassName ~= "TDExplosive" and mo.ClassName ~= "HeldDevice" and mo.RootID == actor.RootID and mo.ID ~= actor.ID then
                                                                                ToMOSRotating(mo):GibThis();
                                                                        end
                                                                end
                                                                actor:GibThis();
                                                        end
                                                end
                                                dupetable[#dupetable+1] = self.damagelist[i];
                                        end
                                end
                        end
                        self.damagelist = {};
 
                        self.ammocount = self.Magazine.RoundCount;
                end
        else
                self.ammocount = self.baseammocount;
        end
 
end